Pular para o conteúdo

Recusar reembolso

Requisição

Host: Keeta.

CampoObrig.Valores
reasonsimTexto livre
codesimDISH_ALREADY_DONE (prato já preparado), OUT_FOR_DELIVERY (já saiu para entrega), OTHER

204 → espere REFUND_FAILED.

Segurança
OAuth2(Escopos obrigatórios: od.all) and Sig
Caminho
orderIdstringobrigatório

The unique identifier of the order. The order ID is generated by Keeta.

Corpoapplication/jsonobrigatório

Request for order cancellation has been denied.

reasonstringobrigatório

Motivo da recusa do reembolso.

codestringobrigatório
Enum:"DISH_ALREADY_DONE""OUT_FOR_DELIVERY""OTHER"
curl -i -X POST \
  'https://open.mykeeta.com/api/open/opendelivery/v1/orders/{orderId}/rejectRefund' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE' \
  -d '{
    "reason": "string",
    "code": "DISH_ALREADY_DONE"
  }'

Respostas

Order refund has been denied. No response content.

Resposta
Nenhum conteúdo